org.apache.poi.hssf.record.common

## Class FeatSmartTag

- java.lang.Object
- - org.apache.poi.hssf.record.common.FeatSmartTag

- All Implemented Interfaces:
    SharedFeature

      public final class FeatSmartTag
      extends java.lang.Object
      implements SharedFeature

  Title: FeatSmartTag (Smart Tag Shared Feature) common record part

  This record part specifies Smart Tag data for a sheet, stored as part of a Shared Feature. It can be found in records such as `FeatRecord`. It is made up of a hash, and a set of Factoid Data that makes up the smart tags. For more details, see page 669 of the Excel binary file format documentation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatSmartTag()`
    `FeatSmartTag(FeatSmartTag other)`
    `FeatSmartTag(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FeatSmartTag` | `copy()`
    `int` | `getDataSize()`
    `void` | `serialize(LittleEndianOutput out)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatSmartTag

          public FeatSmartTag()

    - #### FeatSmartTag

          public FeatSmartTag(FeatSmartTag other)

    - #### FeatSmartTag

          public FeatSmartTag(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `SharedFeature`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDataSize

          public int getDataSize()

      Specified by:
        `getDataSize` in interface `SharedFeature`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Specified by:
        `serialize` in interface `SharedFeature`

    - #### copy

          public FeatSmartTag copy()

      Specified by:
        `copy` in interface `SharedFeature`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.